CREATE TABLE gui( id unique, key string, value integer, s string );

DEFINE this			AS @1;
DEFINE parent		AS @2;
DEFINE counter		AS @3;
DEFINE time			AS @5;
DEFINE captured		AS touches.instance[@2].id!=-1;
DEFINE menu			AS gui.key['currentmenu'].value;
DEFINE buttonframe	AS IF .enabled==1 THEN %captured ELSE 3;
DEFINE touchui      AS gui.key['touchui'].value;
DEFINE version		AS gui.key['version'].value;

DEFINE disabledcolor	AS 0xFFB4B4B4;
DEFINE enabledcolor		AS 0xFFFFFFFF;
DEFINE greyoutcolor		AS 0x80202020;
DEFINE titlecolor		AS 0xFF0EADE2;
DEFINE darktextcolor    AS 0xFF2c2121;

FUNCTION global		UPDATE OR INSERT gui SET key=$1,value=?2 SEARCH key $1 ;
FUNCTION globalif	UPDATE OR INSERT gui SET key=$1,value=?2 SEARCH key $1 WHERE ?3;

FUNCTION doscript
{
	SELECT stmt:call FROM controls SEARCH parent ?1 WHERE type==controlTypes.name[$2].id;
};

FUNCTION goto		
{
	SELECT .CUIManager_InvalidateRect('');
	global( 'currentmenu', menus.name[$1].id );
	doscript( %menu, 'onOpen' );
};

FUNCTION sound
{
	SELECT .PlaySound($1);
};

FUNCTION nameLanguage
{
	UPDATE languages SET name=$1 WHERE locale like $2;
};


DEFINE menu AS -1;


CREATE TABLE fonts( id unique, name string );
SELECT .UpdateFontsList('');

CREATE TABLE credits( page integer, line integer );
INSERT INTO credits ROWS
(
	1, 24632,
	2, 24633,
	3, 24684,
	4, 24685,
	5, 24686,
	6, 24701,	// French Translation Team
	7, 24702,	// Spanish Translation Team
	8, 24721,	// German Translation Team
	
	
	9, 24700	// Copy right notice
);

CREATE TABLE keybinding_categories( id unique, name integer, ini_name string );
INSERT INTO keybinding_categories ROWS
(
	1, 1212, "Keymap Page",
	2, 1213, "Keymap Action",
	3, 1215, "Keymap Miscellaneous",
	4, 1214, "Keymap Quick Slots",
	5, 1216, "Priest Spells",
	6, 1217, "Mage Spells"
);

CREATE TABLE keybindings( id unique, keybinding_category_id integer, ini_name string, name integer, key string, binding integer, default_binding integer );
INSERT INTO keybindings ROWS
(
	1,	1,	"Inventory",				24358,	"",		0,	105,
	2,	1,	"Character Record",			11275,	"",		0,	114,
	3,	1,	"Return To Game",			24364,	"",		0,	103,
	4,	1,	"Journal",					24359,	"",		0,	106,
	5,	1,	"Map",						24361,	"",		0,	109,
	6,	1,	"Wizard Spells",			1217,	"",		0,	119,
	7,	1,	"Priest Spells",			1216,	"",		0,	112,
	8,	1,	"Options",					24362,	"",		0,	111,
	9,	1,	"Character Arbitration",	24363,	"",		0,	99,
	10,	2,	"Guard / Protect",			24130,	"",		0,	0,
	11,	2,	"Turn Undead",				24140,	"",		0,	0,
	12, 2,	"Battle Song",				24126,	"",		0,	0,
	13, 2,	"Cast Spell",				24127,	"",		0,	0,
	14, 2,	"Use Item",					24141,	"",		0,	0,
	15, 2,	"Dialog",					17568,	"",		0,	0,
	16, 2,	"Thieving",					24139,	"",		0,	0,
	17, 2,	"Stealth",					24137,	"",		0,	0,
	18, 2,	"Trap Detection",			9462,	"",		0,	0,
	19, 2,	"Group Stop",				24651,	"",		0,	0,
	20, 2,	"Group Attack",				24652,	"",		0,	0,
	21, 2,	"Special Abilities",		24135,	"",		0,	0,
	22, 2,	"Equip Melee Weapon",		24653,	"",		0,	0,
	23, 2,	"Equip Range Weapon",		24654,	"",		0,	0,
	24, 3,	"Quick Load",				24655,	"",		0,	108,
	25, 3,	"Hide Interface",			24656,	"",		0,	104,
	26, 3,	"Right Interface",			24657,	"",		0,	117,
	27, 3,	"Chat Window",				24658,	"",		0,	116,
	28, 3,	"Location",					24659,	"",		0,	120,
	29, 3,	"Quick Save",				24660,	"",		0,	113,
	30, 3,	"Toggle AI",				24661,	"",		0,	97,
	31, 3,	"Left Interface",			24662,	"",		0,	121,
	32, 3,	"Rest",						11942,	"",		0,	0,
	33, 3,	"Hard Pause",				24663,	"",		0,	0,
	34,	4,	"Spell Slot 1",				24664,	"",		0,	0,
	35,	4,	"Spell Slot 2",				24665,	"",		0,	0,
	36,	4,	"Spell Slot 3",				24666,	"",		0,	0,
	37,	4,	"Weapon Slot 1",			24667,	"",		0,	0,
	38,	4,	"Weapon Slot 2",			24668,	"",		0,	0,
	39,	4,	"Weapon Slot 3",			24669,	"",		0,	0,
	40,	4,	"Weapon Slot 4",			24670,	"",		0,	0,
	41,	4,	"Item Slot 1",				24671,	"",		0,	0,
	42,	4,	"Item Slot 2",				24672,	"",		0,	0,
	43,	4,	"Item Slot 3",				24673,	"",		0,	0,
	44,	4,	"Formation Slot 1",			24674,	"",		0,	0,
	45,	4,	"Formation Slot 2",			24675,	"",		0,	0,
	46,	4,	"Formation Slot 3",			24676,	"",		0,	0,
	47,	4,	"Formation Slot 4",			24677,	"",		0,	0,
	48,	4,	"Formation Slot 5",			24678,	"",		0,	0,
	49, 5,	"SPPR101",					12089,  "",     0,	0,
	50, 5,  "SPPR102",					12097,  "",		0,	0,
	51, 5,  "SPPR103",					12110,  "",		0,	0,
	52, 5,  "SPPR104",					12041,  "",		0,	0,
	53, 5,  "SPPR105",					12119,	"",		0,	0,
	54,	5,  "SPPR106",					12098,  "",     0,	0,
	55, 5,  "SPPR107",					12023,  "",     0,	0,
	56, 5,  "SPPR108",					12083,  "",     0,	0,
	57, 5,  "SPPR109",					12084,  "",		0,	0,
	58, 5,  "SPPR110",					12118,	"",		0,	0,
	59, 5,  "SPPR201",					12111,  "",     0,	0,
	60,	5,	"SPPR202",					12121,  "",		0,	0,
	61, 5,  "SPPR203",					12090,	"",		0,	0,
	62,	5,	"SPPR204",					12099,	"",		0,	0,
	63,	5,	"SPPR205",					12094,	"",		0,	0,
	64,	5,	"SPPR206",					12105,	"",		0,	0,
	65, 5,	"SPPR207",					12106,	"",		0,	0,
	66,	5,	"SPPR208",					12049,	"",		0,	0,
	67,	5,	"SPPR209",					12043,	"",		0,	0,
	68,	5,	"SPPR210",					12122,	"",		0,	0,
	69,	5,	"SPPR211",					12123,	"",		0,	0,
	70,	5,	"SPPR212",					12112,	"",		0,	0,
	71,	5,	"SPPR213",					12107,	"",		0,	0,
	72,	5,	"SPPR214",					12108,	"",		0,	0,
	73,	5,	"SPPR301",					12073,	"",		0,	0,
	74,	5,	"SPPR302",					12124,	"",		0,	0,
	75,	5,	"SPPR304",					12085,	"",		0,	0,
	76,	5,	"SPPR305",					12100,	"",		0,	0,
	77,	5,	"SPPR306",					12086,	"",		0,	0,
	78,	5,	"SPPR307",					12087,	"",		0,	0,
	79,	5,	"SPPR308",					12088,	"",		0,	0,
	80, 5,	"SPPR309",					12095,	"",		0,	0,
	81,	5,	"SPPR310",					12103,	"",		0,	0,
	82,	5,	"SPPR311",					12101,	"",		0,	0,
	83,	5,	"SPPR312",					12125,	"",		0,	0,
	84,	5,	"SPPR401",					12114,	"",		0,	0,
	85,	5,	"SPPR402",					12091,	"",		0,	0,
	86,	5,	"SPPR403",					12102,	"",		0,	0,
	87,	5,	"SPPR404",					12115,	"",		0,	0,
	88,	5,	"SPPR405",					22618,	"",		0,	0,
	89, 5,	"SPPR406",					22829,	"",		0,	0,
	90,	5,	"SPPR407",					22620,	"",		0,	0,
	91,	5,	"SPPR408",					12014,	"",		0,	0,
	92,	5,	"SPPR501",					12092,	"",		0,	0,
	93,	5,	"SPPR502",					12092,	"",		0,	0,
	94,	5,	"SPPR503",					12109,	"",		0,	0,
	95,	5,	"SPPR504",					12117,	"",		0,	0,
	96,	5,	"SPPR506",					22833,	"",		0,	0,
	97,	5,	"SPPR508",					22903,	"",		0,	0,
	98,	6,	"SPWI101",					12030,	"",		0,	0,
	99,	6,	"SPWI102",					12031,	"",		0,	0,
	100, 6, "SPWI103",					12074,	"",		0,	0,
	101, 6, "SPWI104",					12045,	"",		0,	0,
	102, 6, "SPWI105",					12075,	"",		0,	0,
	103, 6, "SPWI106",					12015,	"",		0,	0,
	104, 6, "SPWI107",					12046,	"",		0,	0,
	105, 6, "SPWI108",					12024,	"",		0,	0,
	106, 6, "SPWI111",					12039,	"",		0,	0,
	107, 6, "SPWI112",					12052,	"",		0,	0,
	108, 6, "SPWI113",					12023,	"",		0,	0,
	109, 6, "SPWI114",					12053,	"",		0,	0,
	110, 6, "SPWI115",					12076,	"",		0,	0,
	111, 6, "SPWI116",					12047,	"",		0,	0,
	112, 6, "SPWI117",					12067,	"",		0,	0,
	113, 6, "SPWI118",					12054,	"",		0,	0,
	114, 6, "SPWI119",					12068,	"",		0,	0,
	115, 6, "SPWI201",					12016,	"",		0,	0,
	116, 6, "SPWI202",					12041,	"",		0,	0,
	117, 6, "SPWI203",					12042,	"",		0,	0,
	118, 6, "SPWI205",					12069,	"",		0,	0,
	119, 6, "SPWI206",					12017,	"",		0,	0,
	120, 6, "SPWI207",					12131,	"",		0,	0,
	121, 6, "SPWI208",					12043,	"",		0,	0,
	122, 6, "SPWI209",					12048,	"",		0,	0,
	123, 6, "SPWI210",					12025,	"",		0,	0,
	124, 6, "SPWI211",					12033,	"",		0,	0,
	125, 6, "SPWI212",					12018,	"",		0,	0,
	126, 6, "SPWI213",					12056,	"",		0,	0,
	127, 6, "SPWI214",					12077,	"",		0,	0,
	128, 6, "SPWI215",					12057,	"",		0,	0,
	129, 6, "SPWI217",					12058,	"",		0,	0,
	130, 6, "SPWI218",					12070,	"",		0,	0,
	131, 6, "SPWI219",					12079,	"",		0,	0,
	132, 6, "SPWI301",					12044,	"",		0,	0,
	133, 6, "SPWI302",					12026,	"",		0,	0,
	134, 6, "SPWI303",					12034,	"",		0,	0,
	135, 6, "SPWI304",					6618,	"",		0,	0,
	136, 6, "SPWI305",					12080,	"",		0,	0,
	137, 6, "SPWI306",					12049,	"",		0,	0,
	138, 6, "SPWI308",					12060,	"",		0,	0,
	139, 6, "SPWI309",					12035,	"",		0,	0,
	140, 6, "SPWI310",					12027,	"",		0,	0,
	141, 6, "SPWI311",					12028,	"",		0,	0,
	142, 6, "SPWI312",					12081,	"",     0,	0,
	143, 6, "SPWI313",					12072,	"",		0,	0,
	144, 6, "SPWI314",					12071,	"",		0,	0,
	145, 6, "SPWI316",					12050,	"",		0,	0,
	146, 6, "SPWI317",					12129,	"",		0,	0,
	147, 6, "SPWI401",					12051,	"",		0,	0,
	148, 6, "SPWI402",					12082,	"",		0,	0,
	149, 6, "SPWI404",					12062,	"",		0,	0,
	150, 6, "SPWI405",					12021,	"",		0,	0,
	151, 6, "SPWI406",					12029,	"",		0,	0,
	152, 6, "SPWI407",					12037,	"",		0,	0,
	153, 6, "SPWI409",					12063,	"",		0,	0,
	154, 6, "SPWI410",					12087,	"",		0,	0,
	155, 6, "SPWI411",					22173,	"",		0,	0,
	156, 6, "SPWI412",					22185,	"",		0,	0,
	157, 6, "SPWI413",					22177,	"",		0,	0,
	158, 6, "SPWI414",					22608,	"",		0,	0,
	159, 6, "SPWI415",					20963,	"",		0,	0,
	160, 6, "SPWI416",					22316,	"",		0,	0,
	161, 6, "SPWI501",					12073,	"",		0,	0,
	162, 6, "SPWI502",					12065,	"",		0,	0,
	163, 6, "SPWI503",					12066,	"",		0,	0,
	164, 6, "SPWI504",					12038,	"",		0,	0,
	165, 6, "SPWI505",					12022,	"",		0,	0,
	167, 6, "SPWI506",					22614,	"",		0,	0,
	168, 6, "SPWI507",					22616,	"",		0,	0,
	169, 6, "SPWI508",					22610,	"",		0,	0,
	170, 6, "SPWI509",					22612,	"",		0,	0,
	171, 6, "SPWI601",					23790,	"",		0,	0,
	172, 6, "SPWI602",					23791,	"",		0,	0,
	173, 6, "SPWI603",					23792,	"",		0,	0,
	174, 6, "SPWI604",					23793,	"",		0,	0,
	175, 6, "SPWI605",					24100,	"",		0,	0,
	176, 4, "Character 1",				24980,  "",		0,	49,
	177, 4, "Character 2",				24981,  "",		0,	50,
	178, 4, "Character 3",				24982,  "",		0,	51,
	179, 4, "Character 4",				24983,  "",		0,	52,
	180, 4, "Character 5",				24984,  "",		0,	53,
	181, 4, "Character 6",				24985,  "",		0,	54,
	182, 4, "Characters 1&2",			24986,  "",		0,	55,
	183, 4, "Characters 3&4",			24987,  "",		0,	56,
	184, 4, "Characters 5&6",			24988,  "",		0,	57,
	185, 4, "Select 1,2,3",				24989,  "",		0,	0,
	186, 4, "Select 4,5,6",				24990,  "",		0,	0,
	187, 4, "Select all",				24991,  "",		0,	48,
	188, 4, "Zoom In",					24992,  "",		0,	61,
	189, 4, "Zoom Out",					24993,  "",		0,	45,
);

FUNCTION update_keybind_category
{
	// Update our current category, and the coresponding scroll bar
	global('keybinding_category', ?1);
	DELETE FROM gui WHERE key LIKE 'keybind_category_count';
	INSERT INTO gui (key, value) SELECT 'keybind_category_count', TOTAL FROM keybindings SEARCH keybinding_category_id ?1;
};

FUNCTION revert_keymap
{
	SELECT .CUIManager_InvalidateRect('');
	SELECT .RevertKeymap('');
};

global('keybinding', 0);
global('editkeybind', '');
INSERT INTO gui(key,s,value) VALUES('keyscrollcontrol', '', 0);
DEFINE keyscrollcontrol			AS gui.key['keyscrollcontrol'].value;

CREATE TABLE DLC
(
	id			unique,
	name		string,
	image		string,
	title		integer,
	description integer,
	ios_name string,
	purchased   integer
);

INSERT INTO DLC ROWS
(
	1, 'dorn', 'DLCDN', 31092, 31093, 'BGEE_IOS_DORN', 0,
	2, 'neera', 'DLCNE', 31090, 31091, 'BGEE_IOS_NEERA', 0,
	3, 'manley', 'DLCP1', 31094, 31095, 'BGEE_IOS_PORTRAITPACK1', 0,
	4, 'voice', 'DLCV1', 31096, 31097, 'BGEE_IOS_VOICEPACK1', 0
);

CREATE TABLE dlc_content
(
	name	string,
	dlc_id	integer
);

INSERT INTO dlc_content ROWS
(
	'FEMALE4', 4,	
	'FEMALE5', 4,	
	'FEMALE6', 4,	
	'MALE4', 4,
	'MALE5', 4,
	'MALE6', 4,
	'DORN', 1,
	'NEERA', 2,
	'MANLEY0', 3,
	'MANLEY1', 3,
	'MANLEY2', 3,
	'MANLEY3', 3,
	'MANLEY4', 3,
	'MANLEY5', 3,
	'MANLEY6', 3,
	'MANLEY7', 3,
	'MANLEY8', 3,
	'MANLEY9', 3,
	'MANLEYX', 3
);

CREATE TABLE quests
(
	id				unique,
	name			string,
	strref			integer,
	show_children	integer,
	state			integer,
	chapter			integer
);

INSERT INTO gui(key,s,value) VALUES('current_quest_chapter', '', 0);
DEFINE current_quest_chapter			AS gui.key['current_quest_chapter'].value;
INSERT INTO gui(key,s,value) VALUES('current_quest_state', '', 1);
DEFINE current_quest_state			AS gui.key['current_quest_state'].value;

INSERT INTO quests ROWS
(
	1,'main',31270,1,0,0,
	2,'',    31271,0,0,0,
	3,'',    31272,0,0,0,
	4,'',    31273,0,0,0,
	5,'',    31274,0,0,0,
	6,'',    31275,0,0,0,
	7,'',    31276,0,0,0,
	8,'',    31277,0,0,0,
	9,'',    31278,0,0,0,
	10,'',   31279,0,0,0,
	11,'',   31280,0,0,0,
	12,'',   31281,0,0,0,
	13,'',   31282,0,0,0,
	14,'',   31283,0,0,0,
	15,'',   31284,0,0,0,
	16,'',   31285,0,0,0,
	17,'',   31286,0,0,0,
	18,'',   31287,0,0,0,
	19,'',   31288,0,0,0,
	20,'',   31289,0,0,0,
	21,'',   31290,0,0,0,
	22,'',   31291,0,0,0,
	23,'',   31292,0,0,0,
	24,'',   31293,0,0,0,
	25,'',   31294,0,0,0,
	26,'',   31295,0,0,0,
	27,'',   31296,0,0,0,
	28,'',   31297,0,0,0,
	29,'',   31298,0,0,0,
	30,'',   31299,0,0,0,
	31,'',   31300,0,0,0,
	32,'',   31301,0,0,0,
	33,'',   31302,0,0,0,
	34,'',   31303,0,0,0,
	35,'',   31304,0,0,0,
	36,'',   31305,0,0,0,
	37,'',   31306,0,0,0,
	38,'',   31307,0,0,0,
	39,'',   31308,0,0,0,
	40,'',   31309,0,0,0,
	41,'',   31310,0,0,0,
	42,'',   31311,0,0,0,
	43,'',   31312,0,0,0,
	44,'',   31313,0,0,0,
	45,'',   31314,0,0,0,
	46,'',   31315,0,0,0,
	47,'',   31316,0,0,0,
	48,'',   31317,0,0,0,
	49,'',   31318,0,0,0,
	50,'',   31319,0,0,0,
	51,'',   31320,0,0,0,
	52,'',   31321,0,0,0,
	53,'',   31322,0,0,0,
	54,'',   31323,0,0,0,
	55,'',   31324,0,0,0,
	56,'',   31325,0,0,0,
	57,'',   31326,0,0,0,
	58,'',   31327,0,0,0,
	59,'',   31328,0,0,0,
	60,'',   31329,0,0,0,
	61,'',   31330,0,0,0,
	62,'',   31331,0,0,0,
	63,'',   31332,0,0,0,
	64,'',   31333,0,0,0,
	65,'',   31334,0,0,0,
	66,'',   31335,0,0,0,
	67,'',   31336,0,0,0,
	68,'',   31337,0,0,0,
	69,'',   31338,0,0,0,
	70,'',   31339,0,0,0,
	71,'',   31340,0,0,0,
	72,'',   31341,0,0,0,
	73,'',   31342,0,0,0,
	74,'',   31343,0,0,0,
	75,'',   31344,0,0,0,
	76,'',   31345,0,0,0,
	77,'',   31346,0,0,0,
	78,'',   31347,0,0,0,
	79,'',   31348,0,0,0,
	80,'',   31349,0,0,0,
	81,'',   31350,0,0,0,
	82,'',   31351,0,0,0,
	83,'',   31352,0,0,0,
	84,'',   31353,0,0,0,
	85,'',   31354,0,0,0,
	86,'',   31355,0,0,0,
	87,'',   31356,0,0,0,
	88,'',   31357,0,0,0,
	89,'',   31358,0,0,0,
	90,'',   31359,0,0,0,
	91,'',   31360,0,0,0,
	92,'',   31361,0,0,0,
	93,'',   31362,0,0,0,
	94,'',   31363,0,0,0,
	95,'',   31364,0,0,0,
	96,'',   31365,0,0,0,
	97,'',   31366,0,0,0,
	98,'',   31367,0,0,0,
	99,'',   31368,0,0,0,
	100,'',  31369,0,0,0,
	101,'',  31370,0,0,0,
	102,'',  31371,0,0,0,
	103,'',  31372,0,0,0,
	104,'',  31373,0,0,0,
	105,'',  31374,0,0,0,
	106,'',  31375,0,0,0,
	107,'',  31376,0,0,0,
	108,'',  31377,0,0,0,
	109,'',  31378,0,0,0,
	110,'',  31379,0,0,0,
	111,'',  31380,0,0,0,
	112,'',  31381,0,0,0,
	113,'',  31382,0,0,0,
	114,'',  31383,0,0,0,
	115,'',  31384,0,0,0,
	116,'',  31385,0,0,0,
	117,'',  31386,0,0,0,
	118,'',  31387,0,0,0,
	119,'',  31388,0,0,0,
	120,'',  31389,0,0,0,
	121,'',  31390,0,0,0,
	122,'',  31391,0,0,0,
	123,'',  31392,0,0,0,
	124,'',  31393,0,0,0,
	125,'',  31394,0,0,0,
	126,'',  31395,0,0,0,
	127,'',  31396,0,0,0,
	128,'',  31397,0,0,0,
	129,'',  31398,0,0,0,
	130,'',  31399,0,0,0,
	131,'',  31400,0,0,0,
	132,'',  31401,0,0,0,
	133,'',  31402,0,0,0,
	134,'',  31403,0,0,0,
	135,'',  31404,0,0,0,
	136,'',  31405,0,0,0,
	137,'',  31406,0,0,0,
	138,'',  31407,0,0,0,
	139,'',  31408,0,0,0,
	140,'',  31409,0,0,0,
	141,'',  31410,0,0,0,
	142,'',  31411,0,0,0,
	143,'',  31412,0,0,0,
	144,'',  31413,0,0,0,
	145,'',  31414,0,0,0,
	146,'',  31415,0,0,0,
	147,'',  31416,0,0,0,
	148,'',  31417,0,0,0,
	149,'',  31418,0,0,0,
	150,'',  31419,0,0,0,
	151,'',  31420,0,0,0,
	152,'',  31421,0,0,0,
	153,'',  31422,0,0,0,
	154,'',  31423,0,0,0,
	155,'',  31424,0,0,0,
	156,'',  31425,0,0,0,
	157,'',  31426,0,0,0,
	158,'',  31427,0,0,0,
	159,'',  31428,0,0,0,
	160,'',  31429,0,0,0,
	161,'',  31430,0,0,0,
	162,'',  31431,0,0,0,
	163,'',  31604,0,0,0,
	164,'',  31605,0,0,0,
	165,'',  31606,0,0,0,
	166,'',  31607,0,0,0,
	167,'',  31092,0,0,0,
	168,'',  28607,0,0,0,
	169,'',  27633,0,0,0,
	170,'',  18675,0,0,0,
	171,'',  31988,0,0,0,
	172,'',  32148,0,0,0,
);


CREATE TABLE journals_quests
(
	journal_id	integer,
	quest_id	integer,
	state		integer
);

INSERT INTO journals_quests ROWS
(
	31438, 1,0,
	31439, 1,0,
	31440, 1,0,
	31441, 1,0,
	31442, 1,0,
	31443, 1,0,
	31444, 1,0,
	31445, 1,0,
	31446, 1,0,
	31447, 1,0,
	31448, 1,0,
	31449, 1,0,
	31450, 1,0,
	31451, 1,0,
	31452, 1,0,
	31453, 1,0,
	31454, 1,0,
	31455, 1,0,
	31456, 1,0,
	31457, 1,0,
	31458, 1,0,
	31459, 1,0,
	31460, 1,0,
	31461, 1,0,
	31462, 1,0,
	31463, 1,0,
	31464, 1,0,
	31465, 1,0,
	31466, 1,0,
	31467, 1,0,
	31468, 1,0,
	31469, 1,0,
	31470, 1,0,
	31471, 1,0,
	31472, 1,0,
	31473, 1,0,
	31474, 1,0,
	31475, 1,0,
	32134, 1,0,
	27415, 2,0,
	27416, 2,0,
	27082, 3,0,
	27083, 3,0,
	26851, 4,0,
	26852, 4,0,
	27334, 5,0,
	27335, 5,0,
	27336, 5,0,
	27337, 5,0,
	27338, 5,0,
	26853, 6,0,
	26854, 6,0,
	26954, 7,0,
	26955, 7,0,
	26956, 7,0,
	26957, 7,0,
	27499, 8,0,
	27062, 9,0,
	27063, 9,0,
	27064, 9,0,
	26829, 10,0,
	27046, 10,0,
	27047, 10,0,
	27059, 10,0,
	27060, 10,0,
	27172, 10,0,
	27173, 10,0,
	27270, 10,0,
	27455, 10,0,
	27470, 11,0,
	27451, 12,0,
	27454, 12,0,
	27500, 13,0,
	30177, 14,0,
	27079, 15,0,
	27497, 16,0,
	26980, 17,0,
	26981, 17,0,
	27106, 18,0,
	27164, 18,0,
	27165, 18,0,
	26841, 19,0,
	26842, 19,0,
	26843, 19,0,
	26844, 19,0,
	26845, 19,0,
	26846, 19,0,
	26847, 19,0,
	27317, 19,0,
	26813, 20,0,
	26814, 20,0,
	26815, 20,0,
	27315, 20,0,
	27413, 20,0,
	27414, 20,0,
	26816, 21,0,
	26817, 21,0,
	26818, 21,0,
	26819, 21,0,
	26820, 22,0,
	26821, 22,0,
	27360, 23,0,
	27361, 23,0,
	27450, 24,0,
	27451, 24,0,
	27452, 24,0,
	27453, 24,0,
	27076, 25,0,
	27077, 25,0,
	27078, 25,0,
	27125, 25,0,
	27126, 25,0,
	26848, 26,0,
	26849, 26,0,
	27320, 27,0,
	27321, 27,0,
	27343, 27,0,
	27318, 28,0,
	27319, 28,0,
	27322, 28,0,
	26987, 29,0,
	27027, 29,0,
	27028, 29,0,
	27108, 29,0,
	27294, 29,0,
	27299, 30,0,
	27300, 30,0,
	26865, 31,0,
	26866, 31,0,
	27090, 31,0,
	27097, 31,0,
	27203, 31,0,
	27204, 31,0,
	27205, 31,0,
	27206, 31,0,
	27498, 32,0,
	27305, 33,0,
	26889, 34,0,
	26890, 34,0,
	26891, 34,0,
	26898, 35,0,
	26902, 35,0,
	26909, 36,0,
	27405, 37,0,
	27489, 37,0,
	27490, 37,0,
	27491, 37,0,
	26919, 38,0,
	26920, 38,0,
	26928, 39,0,
	26936, 40,0,
	26937, 40,0,
	26938, 40,0,
	26939, 40,0,
	26944, 40,0,
	26945, 40,0,
	26946, 40,0,
	26988, 41,0,
	26990, 41,0,
	26992, 42,0,
	26993, 42,0,
	26994, 43,0,
	26995, 43,0,
	26996, 43,0,
	26997, 43,0,
	27005, 44,0,
	27006, 44,0,
	27007, 44,0,
	26963, 45,0,
	26984, 45,0,
	27137, 45,0,
	27138, 45,0,
	27139, 45,0,
	27140, 45,0,
	27141, 45,0,
	27142, 45,0,
	27143, 45,0,
	27144, 45,0,
	27145, 45,0,
	27146, 45,0,
	26868, 46,0,
	26914, 46,0,
	26915, 46,0,
	26916, 46,0,
	26917, 46,0,
	26930, 46,0,
	27009, 46,0,
	27011, 46,0,
	27026, 46,0,
	27075, 46,0,
	27166, 46,0,
	27167, 46,0,
	27168, 46,0,
	27169, 46,0,
	27170, 46,0,
	27012, 47,0,
	27013, 47,0,
	27014, 47,0,
	27015, 47,0,
	27016, 47,0,
	27017, 47,0,
	27018, 47,0,
	27031, 48,0,
	27032, 48,0,
	27033, 48,0,
	27034, 48,0,
	27035, 49,0,
	27036, 49,0,
	27435, 49,0,
	27193, 50,0,
	27054, 51,0,
	27055, 51,0,
	27056, 52,0,
	27057, 52,0,
	27058, 52,0,
	27061, 53,0,
	27065, 54,0,
	27066, 54,0,
	27068, 54,0,
	27069, 54,0,
	27070, 55,0,
	27071, 55,0,
	27074, 56,0,
	27114, 57,0,
	26929, 58,0,
	27267, 58,0,
	27269, 58,0,
	27436, 58,0,
	26947, 59,0,
	26948, 59,0,
	26949, 59,0,
	26950, 59,0,
	27019, 60,0,
	27020, 60,0,
	27021, 60,0,
	27022, 60,0,
	27121, 61,0,
	27122, 61,0,
	27113, 62,0,
	27112, 63,0,
	27120, 64,0,
	27130, 65,0,
	27128, 66,0,
	27129, 66,0,
	27130, 66,0,
	27213, 67,0,
	27216, 67,0,
	27067, 68,0,
	27475, 69,0,
	27133, 70,0,
	27134, 70,0,
	27135, 70,0,
	26883, 71,0,
	26884, 71,0,
	27153, 72,0,
	26927, 73,0,
	26958, 73,0,
	26965, 73,0,
	26991, 73,0,
	27045, 73,0,
	27136, 73,0,
	27147, 73,0,
	27157, 73,0,
	27158, 73,0,
	27159, 73,0,
	27160, 73,0,
	27161, 73,0,
	27174, 73,0,
	27175, 73,0,
	27176, 73,0,
	27328, 73,0,
	27389, 73,0,
	27393, 73,0,
	27479, 73,0,
	27494, 73,0,
	26822, 74,0,
	26823, 74,0,
	26824, 74,0,
	26825, 74,0,
	26826, 74,0,
	26827, 74,0,
	26828, 74,0,
	26839, 75,0,
	26840, 75,0,
	26885, 75,0,
	26886, 75,0,
	26921, 75,0,
	26922, 75,0,
	26978, 75,0,
	27041, 75,0,
	27042, 75,0,
	27043, 75,0,
	27044, 75,0,
	27224, 75,0,
	27271, 75,0,
	27272, 75,0,
	27273, 75,0,
	27296, 75,0,
	27182, 76,0,
	27184, 77,0,
	27185, 77,0,
	27188, 78,0,
	27189, 78,0,
	27221, 79,0,
	27222, 79,0,
	27101, 80,0,
	27102, 80,0,
	27194, 81,0,
	27202, 82,0,
	27127, 83,0,
	27225, 83,0,
	27226, 83,0,
	27227, 83,0,
	27235, 84,0,
	27236, 85,0,
	27231, 86,0,
	27232, 86,0,
	27233, 86,0,
	27234, 87,0,
	26893, 88,0,
	26894, 88,0,
	26895, 88,0,
	26896, 88,0,
	27211, 89,0,
	27249, 90,0,
	27250, 90,0,
	27251, 90,0,
	26793, 91,0,
	26982, 91,0,
	27183, 91,0,
	27240, 91,0,
	27241, 91,0,
	27242, 91,0,
	27243, 91,0,
	27253, 91,0,
	31188, 91,0,
	27258, 92,0,
	27256, 93,0,
	27257, 93,0,
	27477, 94,0,
	27478, 94,0,
	27276, 95,0,
	27278, 95,0,
	27277, 96,0,
	27428, 97,0,
	27429, 97,0,
	27084, 98,0,
	27051, 99,0,
	27301, 99,0,
	27302, 99,0,
	27307, 100,0,
	27308, 100,0,
	27309, 100,0,
	27310, 100,0,
	27311, 100,0,
	27312, 100,0,
	27313, 100,0,
	27314, 100,0,
	27316, 100,0,
	27323, 101,0,
	27324, 101,0,
	27341, 102,0,
	27342, 102,0,
	26913, 103,0,
	27419, 104,0,
	27420, 104,0,
	26925, 105,0,
	26837, 106,0,
	27344, 106,0,
	27345, 106,0,
	27349, 107,0,
	27350, 107,0,
	27347, 108,0,
	27354, 109,0,
	27355, 109,0,
	27356, 109,0,
	26879, 110,0,
	26880, 110,0,
	26881, 110,0,
	26882, 110,0,
	27358, 110,0,
	26870, 111,0,
	27362, 112,0,
	27363, 112,0,
	27364, 112,0,
	27214, 113,0,
	27215, 113,0,
	27104, 114,0,
	27346, 114,0,
	27348, 114,0,
	27367, 114,0,
	27368, 114,0,
	27369, 114,0,
	27372, 114,0,
	27171, 115,0,
	27376, 116,0,
	27377, 116,0,
	26923, 117,0,
	26924, 117,0,
	27154, 117,0,
	27155, 117,0,
	27156, 117,0,
	27411, 118,0,
	27412, 118,0,
	27029, 119,0,
	27030, 119,0,
	27274, 119,0,
	27275, 119,0,
	26873, 120,0,
	26874, 120,0,
	26903, 120,0,
	26910, 120,0,
	26911, 120,0,
	26969, 120,0,
	26970, 120,0,
	26971, 120,0,
	26972, 120,0,
	26973, 120,0,
	26974, 120,0,
	26975, 120,0,
	26976, 120,0,
	26977, 120,0,
	26811, 121,0,
	27088, 121,0,
	27092, 121,0,
	27148, 121,0,
	27187, 121,0,
	27219, 121,0,
	27220, 121,0,
	27282, 121,0,
	27290, 121,0,
	27386, 121,0,
	27388, 121,0,
	27390, 121,0,
	27391, 121,0,
	27392, 121,0,
	27394, 121,0,
	27408, 121,0,
	27409, 121,0,
	27086, 122,0,
	27123, 122,0,
	27124, 122,0,
	27421, 123,0,
	27424, 124,0,
	27177, 125,0,
	27178, 125,0,
	27179, 125,0,
	27247, 126,0,
	27248, 126,0,
	26960, 127,0,
	27162, 127,0,
	27163, 127,0,
	27486, 128,0,
	27487, 128,0,
	27458, 129,0,
	27459, 129,0,
	27460, 129,0,
	27461, 130,0,
	27462, 130,0,
	27463, 130,0,
	27464, 130,0,
	27465, 130,0,
	27466, 130,0,
	26872, 131,0,
	27505, 131,0,
	27513, 131,0,
	26850, 132,0,
	26856, 132,0,
	26857, 132,0,
	26859, 132,0,
	26860, 132,0,
	26861, 132,0,
	26862, 132,0,
	27217, 132,0,
	27218, 132,0,
	27378, 132,0,
	27379, 132,0,
	27380, 132,0,
	27381, 132,0,
	27382, 132,0,
	27383, 132,0,
	27468, 132,0,
	27469, 132,0,
	27473, 132,0,
	27474, 132,0,
	27476, 132,0,
	27492, 132,0,
	27374, 133,0,
	27375, 133,0,
	27115, 134,0,
	27116, 134,0,
	27117, 134,0,
	27118, 134,0,
	27119, 134,0,
	27431, 135,0,
	27432, 135,0,
	26931, 136,0,
	26932, 136,0,
	26933, 136,0,
	26934, 136,0,
	27517, 137,0,
	27288, 138,0,
	26986, 139,0,
	27008, 139,0,
	27186, 139,0,
	27397, 139,0,
	27422, 139,0,
	27423, 139,0,
	27425, 139,0,
	27426, 139,0,
	27427, 139,0,
	8058, 140,0,
	27279, 140,0,
	26806, 141,0,
	26807, 141,0,
	26809, 141,0,
	26810, 141,0,
	27385, 141,0,
	27439, 142,0,
	27440, 142,0,
	27441, 142,0,
	27442, 142,0,
	27443, 142,0,
	27444, 142,0,
	27445, 142,0,
	27446, 142,0,
	27447, 142,0,
	27448, 142,0,
	27471, 142,0,
	27472, 142,0,
	26855, 143,0,
	27073, 143,0,
	27244, 143,0,
	27245, 143,0,
	27246, 143,0,
	27237, 144,0,
	27238, 144,0,
	27239, 144,0,
	26935, 145,0,
	26951, 145,0,
	26952, 145,0,
	26953, 145,0,
	27023, 145,0,
	27024, 145,0,
	27025, 145,0,
	27052, 145,0,
	27053, 145,0,
	27072, 145,0,
	27191, 145,0,
	27195, 145,0,
	27196, 145,0,
	27197, 145,0,
	27198, 145,0,
	27199, 145,0,
	27200, 145,0,
	27228, 145,0,
	27229, 145,0,
	27230, 145,0,
	27252, 145,0,
	27265, 145,0,
	27266, 145,0,
	27438, 145,0,
	27456, 145,0,
	27457, 145,0,
	26908, 146,0,
	27107, 146,0,
	27259, 146,0,
	27260, 146,0,
	27261, 146,0,
	27262, 146,0,
	27263, 146,0,
	27293, 146,0,
	27295, 146,0,
	26812, 147,0,
	26871, 147,0,
	26892, 147,0,
	26962, 147,0,
	26967, 147,0,
	27091, 147,0,
	27093, 147,0,
	27094, 147,0,
	27095, 147,0,
	27096, 147,0,
	27132, 147,0,
	27190, 147,0,
	27192, 147,0,
	27201, 147,0,
	27283, 147,0,
	27284, 147,0,
	27285, 147,0,
	27286, 147,0,
	27287, 147,0,
	27327, 147,0,
	27329, 147,0,
	27330, 147,0,
	27331, 147,0,
	27332, 147,0,
	27333, 147,0,
	27339, 147,0,
	27340, 147,0,
	27352, 147,0,
	27387, 147,0,
	27399, 147,0,
	27488, 147,0,
	27514, 147,0,
	26966, 148,0,
	27207, 148,0,
	27208, 148,0,
	27209, 148,0,
	27210, 148,0,
	26830, 149,0,
	26831, 149,0,
	26832, 149,0,
	26833, 149,0,
	26834, 149,0,
	26838, 149,0,
	26887, 149,0,
	26888, 149,0,
	27105, 149,0,
	27292, 149,0,
	27303, 149,0,
	27304, 149,0,
	27507, 149,0,
	26867, 150,0,
	27481, 150,0,
	27483, 150,0,
	27484, 150,0,
	27495, 151,0,
	1827,  152,0,
	27493, 152,0,
	27503, 152,0,
	27504, 152,0,
	6332,  152,0,
	6354,  152,0,
	6355,  152,0,
	26835, 153,0,
	26836, 153,0,
	26863, 153,0,
	26864, 153,0,
	26869, 153,0,
	26875, 153,0,
	26876, 153,0,
	26877, 153,0,
	26878, 153,0,
	26912, 153,0,
	26999, 153,0,
	27000, 153,0,
	27001, 153,0,
	27098, 153,0,
	27099, 153,0,
	27100, 153,0,
	27103, 153,0,
	27264, 153,0,
	27280, 153,0,
	27281, 153,0,
	27289, 153,0,
	27291, 153,0,
	27297, 153,0,
	27298, 153,0,
	27395, 153,0,
	27400, 153,0,
	27401, 153,0,
	27402, 153,0,
	27403, 153,0,
	27404, 153,0,
	27407, 153,0,
	27410, 153,0,
	27417, 153,0,
	27506, 153,0,
	30178, 154,0,
	30179, 154,0,
	31698, 154,0,
	27496, 155,0,
	27501, 156,0,
	27433, 157,0,
	27515, 158,0,
	27516, 158,0,
	27152, 159,0,
	27518, 160,0,
	27519, 161,0,
	27520, 161,0,
	27511, 162,0,
	27512, 162,0,
	27149, 163,0,
	27150, 163,0,
	27151, 163,0,
	27109, 164,0,
	27110, 164,0,
	27111, 164,0,
	27080, 165,0,
	27081, 165,0,
	27085, 166,0,
	27087, 166,0,
	30814, 167,0,
	30815, 167,0,
	30816, 167,0,
	28403, 167,0,
	28427, 167,0,
	28433, 167,0,
	28458, 167,0,
	30817, 167,0,
	28479, 167,0,
	28503, 167,0,
	28521, 167,0,
	30818, 167,0,
	30771, 168,0,
	30772, 168,0,
	29023, 168,0,
	30773, 168,0,
	30774, 168,0,
	29022, 168,0,
	30776, 168,0,
	30777, 168,0,
	30778, 168,0,
	31608, 169,0,
	31609, 169,0,
	31610, 169,0,
	31611, 169,0,
	31612, 169,0,
	31613, 169,0,
	31614, 169,0,
	31615, 169,0,
	31616, 169,0,
	31617, 169,0,
	31618, 169,0,
	26979, 170,0,
	27223, 170,0,
	26918, 171,0,
	31969, 171,0,
	27212, 172,0,
);

CREATE TABLE portraits
(
	name		string,
	gender		integer	// 1 = male, 2 = female
);

INSERT INTO portraits ROWS
(
	'MAN1', 1,
	'MAN2', 1,
	'GENDWRF', 1,
	'GENMELF', 1,
	'GENMHLF', 1,
	'AJANTIS', 1,
	'CORAN', 1,
	'EDWIN', 1,
	'ELDOTH', 1,
	'GARRICK', 1,
	'KAGAIN', 1,
    'KHALID', 1,
	'KIVAN', 1,
	'MINSC', 1,
	'MONTAR', 1,
	'QUAYLE', 1,
	'TIAX', 1,
	'XAN', 1,
	'XZAR', 1,
	'YESLICK', 1,
	'RASAAD', 1,
	'DORN',	1,
	'MANLEY0', 1,
	'MANLEY3', 1,
	'MANLEY6', 1,
	'MANLEY7', 1,
	'MANLEY8', 1,
	'MANLEY9', 1,
	'WOMAN1', 2,
	'WOMAN2', 2,
	'ALORA', 2,
	'BRANWE', 2,
	'DYNAHEI', 2,
	'FALDORN', 2,
	'IMOEN', 2,
	'JAHEIRA', 2,
	'SAFANA', 2,
	'SHARTEL', 2,
	'SKIE', 2,
	'VICONIA', 2,
	'NEERA', 2,
	'MANLEY1', 2,
	'MANLEY2', 2,
	'MANLEY4', 2,
	'MANLEY5', 2,
	'MANLEYX', 2
);
